searchNodes=[{"type":"module","title":"NodePing","doc":"A module for handling generic NodePing functionality","ref":"NodePing.html"},{"type":"function","title":"NodePing.token_valid?/1","doc":"Returns whether or not your NodePing API token is valid","ref":"NodePing.html#token_valid?/1"},{"type":"module","title":"NodePing.Accounts","doc":"Manage your NodePing account and subaccounts","ref":"NodePing.Accounts.html"},{"type":"function","title":"NodePing.Accounts.create_subaccount/2","doc":"Create a subaccount for your NodePing account Parameters token - NodePing API token that is provided with account args - A map of arguments for creating the subaccount The NodePing.Accounts.SubAccount can be used to create the map necessary for the args variable and the variables expected by the API to create a new subaccount. Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; args = %{ :contactname =&gt; &quot;My Name&quot; , :email =&gt; &quot;me@example.com&quot; , :timezone =&gt; &quot;-7&quot; , :location =&gt; &quot;name&quot; } iex&gt; { :ok , result } = NodePing.Accounts . create_subaccount ( token , args ) iex&gt; is_map ( result ) true","ref":"NodePing.Accounts.html#create_subaccount/2"},{"type":"function","title":"NodePing.Accounts.create_subaccount!/2","doc":"Create a subaccount for your NodePing account Parameters token - NodePing API token that is provided with account args - A map of arguments for creating the subaccount The NodePing.Accounts.SubAccount can be used to create the map necessary for the args variable and the variables expected by the API to create a new subaccount. Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; args = %{ :contactname =&gt; &quot;My Name&quot; , :email =&gt; &quot;me@example.com&quot; , :timezone =&gt; &quot;-7&quot; , :location =&gt; &quot;name&quot; } iex&gt; { :ok , result } = NodePing.Accounts . create_subaccount! ( token , args ) iex&gt; is_map ( result ) true","ref":"NodePing.Accounts.html#create_subaccount!/2"},{"type":"function","title":"NodePing.Accounts.delete_subaccount/2","doc":"Delete your NodePing subaccount Parameters token - NodePing API token that is provided with account customerid - The subaccount ID for the subaccount you want to delete Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; subaccount = System . fetch_env! ( &quot;SUBACCOUNT&quot; ) iex&gt; { :ok , result } = NodePing.Accounts . delete_subaccount! ( token , subaccount ) iex&gt; is_map ( result ) true","ref":"NodePing.Accounts.html#delete_subaccount/2"},{"type":"function","title":"NodePing.Accounts.delete_subaccount!/2","doc":"Delete your NodePing subaccount Parameters token - NodePing API token that is provided with account customerid - The subaccount ID for the subaccount you want to delete Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; subaccount = System . fetch_env! ( &quot;SUBACCOUNT&quot; ) iex&gt; { :ok , result } = NodePing.Accounts . delete_subaccount! ( token , subaccount ) iex&gt; is_map ( result ) true","ref":"NodePing.Accounts.html#delete_subaccount!/2"},{"type":"function","title":"NodePing.Accounts.disable_notifications/3","doc":"Disable notifications on your account or subaccount Parameters token - NodePing API token that is provided with account accountsupressall - boolean value. true disables notifications, false enables them customerid - optional customerid if you want to disable notifications on a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; subaccount = System . fetch_env! ( &quot;SUBACCOUNT&quot; ) iex&gt; { :ok , result } = NodePing.Accounts . disable_notifications ( token , true , subaccount )","ref":"NodePing.Accounts.html#disable_notifications/3"},{"type":"function","title":"NodePing.Accounts.disable_notifications!/3","doc":"Disable notifications on your account or subaccount Parameters token - NodePing API token that is provided with account accountsupressall - boolean value. true disables notifications, false enables them customerid - optional customerid if you want to disable notifications on a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; subaccount = System . fetch_env! ( &quot;SUBACCOUNT&quot; ) iex&gt; { :ok , result } = NodePing.Accounts . disable_notifications! ( token , true , subaccount )","ref":"NodePing.Accounts.html#disable_notifications!/3"},{"type":"function","title":"NodePing.Accounts.get_account/2","doc":"Get information about your NodePing account or subaccount Parameters token - NodePing API token that is provided with account customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; { :ok , result } = NodePing.Accounts . get_account ( token ) iex&gt; is_map ( result ) true","ref":"NodePing.Accounts.html#get_account/2"},{"type":"function","title":"NodePing.Accounts.get_account!/2","doc":"Get information about your NodePing account or subaccount Parameters token - NodePing API token that is provided with account customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; result = NodePing.Accounts . get_account! ( token ) iex&gt; is_map ( result ) true","ref":"NodePing.Accounts.html#get_account!/2"},{"type":"function","title":"NodePing.Accounts.update_account/3","doc":"Update your NodePing account or subaccount details Parameters token - NodePing API token that is provided with account args - A map of arguments for creating the subaccount customerid - An optional subaccount ID that will be updated instead of the main account The NodePing.Accounts.SubAccount can be used to create the map necessary for the args variable and the variables expected by the API to create a new subaccount. Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; args = %{ :name =&gt; &quot;Contact Name&quot; , :email =&gt; &quot;me2@example.com&quot; , :timezone =&gt; &quot;-2&quot; } iex&gt; { :ok , result } = NodePing.Accounts . update_account ( token , args ) iex&gt; result [ &quot;timezone&quot; ] == &quot;-2.0&quot; true","ref":"NodePing.Accounts.html#update_account/3"},{"type":"function","title":"NodePing.Accounts.update_account!/3","doc":"Update your NodePing account or subaccount details Parameters token - NodePing API token that is provided with account args - A map of arguments for creating the subaccount customerid - An optional subaccount ID that will be updated instead of the main account The NodePing.Accounts.SubAccount can be used to create the map necessary for the args variable and the variables expected by the API to create a new subaccount. Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; args = %{ :name =&gt; &quot;Contact Name&quot; , :email =&gt; &quot;me2@example.com&quot; , :timezone =&gt; &quot;-2&quot; } iex&gt; { :ok , result } = NodePing.Accounts . update_account! ( token , args ) iex&gt; result [ &quot;timezone&quot; ] == &quot;-2.0&quot; true","ref":"NodePing.Accounts.html#update_account!/3"},{"type":"module","title":"NodePing.Checks","doc":"Create, read, update, and delete NodePing checks for your account and subaccounts","ref":"NodePing.Checks.html"},{"type":"function","title":"NodePing.Checks.check_exists?/3","doc":"Find whether a check exists or not. Returns true if present or false if nonexistent token - NodePing API token that is provided with account id - Check ID of the check you want to verify is present or not customerid - optional ID to access a subaccount","ref":"NodePing.Checks.html#check_exists?/3"},{"type":"function","title":"NodePing.Checks.create_check/4","doc":"Create a new check for your NodePing account or subaccount Create any of the listed NodePing checks at: https://nodeping.com/docs-api-checks.html and view the &quot;Fields by check type&quot; section to see which checks accept what fields. Parameters token - NodePing API token that is provided with account checktype_struct - the NodePing.Checktypes that defines the check you are trying to create args - non-default parameters you want to set for creating your check customerid - optional customerid for subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; checktype = NodePing.Checktypes.Ping iex&gt; args = %{ label : &quot;my label&quot; , target : &quot;example.com&quot; , interval : 1 , enabled : true } iex&gt; NodePing.Checks . create_check ( token , checktype , args )","ref":"NodePing.Checks.html#create_check/4"},{"type":"function","title":"NodePing.Checks.create_check!/4","doc":"Create a new check for your NodePing account or subaccount Create any of the listed NodePing checks at: https://nodeping.com/docs-api-checks.html and view the &quot;Fields by check type&quot; section to see which checks accept what fields. Parameters token - NodePing API token that is provided with account checktype_struct - the NodePing.Checktypes that defines the check you are trying to create args - non-default parameters you want to set for creating your check customerid - optional customerid for subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; checktype = NodePing.Checktypes.Ping iex&gt; args = %{ label : &quot;my label&quot; , target : &quot;example.com&quot; , interval : 1 , enabled : true } iex&gt; NodePing.Checks . create_check! ( token , checktype , args )","ref":"NodePing.Checks.html#create_check!/4"},{"type":"function","title":"NodePing.Checks.delete_check/3","doc":"Delete a check present on your NodePing account or specified subaccount Parameters token - NodePing API token that is provided with account id - the check ID that you want to delete customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; check_id = &quot;201205050153W2Q4C-0J2HSIRF&quot; iex&gt; { :ok , result } = NodePing.Checks . delete_check ( token , check_id )","ref":"NodePing.Checks.html#delete_check/3"},{"type":"function","title":"NodePing.Checks.delete_check!/3","doc":"Delete a check present on your NodePing account or specified subaccount Parameters token - NodePing API token that is provided with account id - the check ID that you want to delete customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; check_id = &quot;201205050153W2Q4C-0J2HSIRF&quot; iex&gt; result = NodePing.Checks . delete_check! ( token , check_id )","ref":"NodePing.Checks.html#delete_check!/3"},{"type":"function","title":"NodePing.Checks.disable_all_checks/3","doc":"Disable a check present on your NodePing account or specified subaccount Parameters token - NodePing API token that is provided with account id - the check ID that you want to delete customerid - optional ID to access a subaccount disableall - boolean value. true = disable all, false = re-enable those checks opts - a keyword list with keys of :type , :label , :target , :customerid as possible options Examples iex&gt; opts = [ { :type , &quot;PING&quot; } , { :target , &quot;example.com&quot; } ] iex&gt; disableall = true iex&gt; { :ok , result } = NodePing.Checks . disable_all_checks ( token , disableall , opts )","ref":"NodePing.Checks.html#disable_all_checks/3"},{"type":"function","title":"NodePing.Checks.disable_all_checks!/3","doc":"Disable a check present on your NodePing account or specified subaccount Parameters token - NodePing API token that is provided with account id - the check ID that you want to delete customerid - optional ID to access a subaccount disableall - boolean value. true = disable all, false = re-enable those checks opts - a keyword list with keys of :type , :label , :target , :customerid as possible options Examples iex&gt; opts = [ { :type , &quot;PING&quot; } , { :target , &quot;example.com&quot; } ] iex&gt; disableall = true iex&gt; result = NodePing.Checks . disable_all_checks! ( token , disableall , opts )","ref":"NodePing.Checks.html#disable_all_checks!/3"},{"type":"function","title":"NodePing.Checks.find_by_id/2","doc":"Find an already fetched map of NodePing checks for the one with a given ID Parameters check_map - a map of checks already fetched from the NodePing API id - Check ID of the check you want to fetch information about","ref":"NodePing.Checks.html#find_by_id/2"},{"type":"function","title":"NodePing.Checks.find_by_state/2","doc":"Find passing or failing checks in an already fetched map of NodePing checks Parameters check_map - a map of checks already fetched from the NodePing API status - an atom with the values :passing or :failing","ref":"NodePing.Checks.html#find_by_state/2"},{"type":"function","title":"NodePing.Checks.get_by_id/3","doc":"Get information about a NodePing check Parameters token - NodePing API token that is provided with account id - Check ID of the check you want to fetch information about opts - Optional list of tuples to specify results Opts - list of tuples customerid - optional ID to access a subaccount uptime - boolean - If this parameter is present the check's uptime will be added to the response","ref":"NodePing.Checks.html#get_by_id/3"},{"type":"function","title":"NodePing.Checks.get_by_id!/3","doc":"Get information about a NodePing check ## Parameters token - NodePing API token that is provided with account id - Check ID of the check you want to fetch information about opts - Optional list of tuples to specify results ## Opts - list of tuples customerid - optional ID to access a subaccount uptime - boolean - If this parameter is present the check's uptime will be added to the response","ref":"NodePing.Checks.html#get_by_id!/3"},{"type":"function","title":"NodePing.Checks.get_checks/2","doc":"Get all checks present on your NodePing account or specified subaccount Parameters token - NodePing API token that is provided with account opts - Optional list of tuples to specify results. Opts - list of tuples customerid - optional ID to access a subaccount uptime - boolean - If this parameter is present the check's uptime will be added to the response Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; customerid = System . fetch_env! ( &quot;CUSTOMERID&quot; ) iex&gt; { :ok , result } = NodePing.Checks . get_checks ( token , [ { :customerid , customerid } ] )","ref":"NodePing.Checks.html#get_checks/2"},{"type":"function","title":"NodePing.Checks.get_checks!/2","doc":"Get all checks present on your NodePing account or specified subaccount Parameters token - NodePing API token that is provided with account opts - Optional list of tuples to specify results. Opts - list of tuples customerid - optional ID to access a subaccount uptime - boolean - If this parameter is present the check's uptime will be added to the response Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; customerid = System . fetch_env! ( &quot;CUSTOMERID&quot; ) iex&gt; result = NodePing.Checks . get_checks! ( token , [ { :customerid , customerid } ] )","ref":"NodePing.Checks.html#get_checks!/2"},{"type":"function","title":"NodePing.Checks.get_disabled_checks/2","doc":"Get all disabled checks present on your NodePing account or subaccount Parameters token - NodePing API token that is provided with account opts - Optional list of tuples to specify results Opts - list of tuples customerid - optional ID to access a subaccount uptime - boolean - If this parameter is present the check's uptime will be added to the response","ref":"NodePing.Checks.html#get_disabled_checks/2"},{"type":"function","title":"NodePing.Checks.get_disabled_checks!/2","doc":"Get all disabled checks present on your NodePing account or subaccount Parameters token - NodePing API token that is provided with account opts - Optional list of tuples to specify results Opts - list of tuples customerid - optional ID to access a subaccount uptime - boolean - If this parameter is present the check's uptime will be added to the response","ref":"NodePing.Checks.html#get_disabled_checks!/2"},{"type":"function","title":"NodePing.Checks.get_failing_checks/2","doc":"Get all failing checks present on your NodePing account or subaccount Parameters token - NodePing API token that is provided with account opts - Optional list of tuples to specify results Opts - list of tuples customerid - optional ID to access a subaccount uptime - boolean - If this parameter is present the check's uptime will be added to the response Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; { :ok , failing_checks } = NodePing.Checks . get_failing_checks ( token )","ref":"NodePing.Checks.html#get_failing_checks/2"},{"type":"function","title":"NodePing.Checks.get_failing_checks!/2","doc":"Get all failing checks present on your NodePing account or subaccount Parameters token - NodePing API token that is provided with account opts - Optional list of tuples to specify results Opts - list of tuples customerid - optional ID to access a subaccount uptime - boolean - If this parameter is present the check's uptime will be added to the response Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; failing_checks = NodePing.Checks . get_failing_checks! ( token )","ref":"NodePing.Checks.html#get_failing_checks!/2"},{"type":"function","title":"NodePing.Checks.get_last_result/3","doc":"Get the last result for a specified check Parameters token - NodePing API token that is provided with account id - Check ID of the check you want to fetch the last result for opts - Optional list of tuples to specify results Opts - list of tuples customerid - optional ID to access a subaccount uptime - boolean - If this parameter is present the check's uptime will be added to the response","ref":"NodePing.Checks.html#get_last_result/3"},{"type":"function","title":"NodePing.Checks.get_last_result!/3","doc":"Get the last result for a specified check Parameters token - NodePing API token that is provided with account id - Check ID of the check you want to fetch the last result for opts - Optional list of tuples to specify results Opts - list of tuples customerid - optional ID to access a subaccount uptime - boolean - If this parameter is present the check's uptime will be added to the response","ref":"NodePing.Checks.html#get_last_result!/3"},{"type":"function","title":"NodePing.Checks.get_many/3","doc":"Get many checks at once on your NodePing account or specified subaccount Parameters token - NodePing API token that is provided with account checkids - list of checkids that will be queried opts - Optional list of tuples to specify results Opts - list of tuples customerid - optional ID to access a subaccount uptime - boolean - If this parameter is present, the checks uptimes wilwl be added to the response Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; checkids = [ &quot;201205050153W2Q4C-0J2HSIRF&quot; , &quot;201205050153W2Q4C-4RZT8MLN&quot; ] iex&gt; { :ok , result } = NodePing.Checks . get_many ( token , checkids , [ { :uptime , true } ] )","ref":"NodePing.Checks.html#get_many/3"},{"type":"function","title":"NodePing.Checks.get_many!/3","doc":"Get many checks at once on your NodePing account or specified subaccount Parameters token - NodePing API token that is provided with account checkids - list of checkids that will be queried opts - Optional list of tuples to specify results Opts - list of tuples customerid - optional ID to access a subaccount uptime - boolean - If this parameter is present, the checks uptimes wilwl be added to the response Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; checkids = [ &quot;201205050153W2Q4C-0J2HSIRF&quot; , &quot;201205050153W2Q4C-4RZT8MLN&quot; ] iex&gt; result = NodePing.Checks . get_many! ( token , checkids , [ { :uptime , true } ] )","ref":"NodePing.Checks.html#get_many!/3"},{"type":"function","title":"NodePing.Checks.get_passing_checks/2","doc":"Get all passings checks present on your NodePing account or subaccount ## Parameters token - NodePing API token that is provided with account opts - Optional list of tuples to specify results ## Opts - list of tuples customerid - optional ID to access a subaccount uptime - boolean - If this parameter is present the check's uptime will be added to the response Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; passing_checks = NodePing.Checks . get_passing_checks ( token , [ { :uptime , true } ] )","ref":"NodePing.Checks.html#get_passing_checks/2"},{"type":"function","title":"NodePing.Checks.get_passing_checks!/2","doc":"Get all passings checks present on your NodePing account or subaccount ## Parameters token - NodePing API token that is provided with account opts - Optional list of tuples to specify results ## Opts - list of tuples customerid - optional ID to access a subaccount uptime - boolean - If this parameter is present the check's uptime will be added to the response Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; passing_checks = NodePing.Checks . get_passing_checks! ( token , [ { :uptime , true } ] )","ref":"NodePing.Checks.html#get_passing_checks!/2"},{"type":"function","title":"NodePing.Checks.mute_check/5","doc":"Mute all notifications for the specified check Parameters token - NodePing API token that is provided with account id - the checkid that will be muted checktype_struct - the NodePing.Checktypes that defines the check you are trying to mute duration - duration in seconds that the check will be muted customerid - optional customerid for subaccount","ref":"NodePing.Checks.html#mute_check/5"},{"type":"function","title":"NodePing.Checks.mute_check!/5","doc":"Mute all notifications for the specified check Parameters token - NodePing API token that is provided with account id - the checkid that will be muted checktype_struct - the NodePing.Checktypes that defines the check you are trying to mute duration - duration in seconds that the check will be muted customerid - optional customerid for subaccount","ref":"NodePing.Checks.html#mute_check!/5"},{"type":"function","title":"NodePing.Checks.update_check/5","doc":"Update an existing check for your NodePing account or subaccount ## Parameters token - NodePing API token that is provided with account checktype_struct - the NodePing.Checktypes that defines the check you are trying to create args - non-default parameters you want to set for creating your check customerid - optional customerid for subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; check_id = &quot;201205050153W2Q4C-0J2HSIRF&quot; iex&gt; checktype = NodePing.Checktypes.Ping iex&gt; args = %{ label : &quot;my label&quot; , target : &quot;example.com&quot; , interval : 1 , enabled : true } iex&gt; NodePing.Checks . update_check ( token , check_id , checktype , args )","ref":"NodePing.Checks.html#update_check/5"},{"type":"function","title":"NodePing.Checks.update_check!/5","doc":"Update an existing check for your NodePing account or subaccount ## Parameters token - NodePing API token that is provided with account checktype_struct - the NodePing.Checktypes that defines the check you are trying to create args - non-default parameters you want to set for creating your check customerid - optional customerid for subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; check_id = &quot;201205050153W2Q4C-0J2HSIRF&quot; iex&gt; checktype = NodePing.Checktypes.Ping iex&gt; args = %{ label : &quot;my label&quot; , target : &quot;example.com&quot; , interval : 1 , enabled : true } iex&gt; NodePing.Checks . update_check! ( token , check_id , checktype , args )","ref":"NodePing.Checks.html#update_check!/5"},{"type":"module","title":"NodePing.ContactGroups","doc":"Manage contact groups on your NodePing account and subaccout. https://nodeping.com/docs-api-contactgroups.html","ref":"NodePing.ContactGroups.html"},{"type":"function","title":"NodePing.ContactGroups.create/3","doc":"Create a contact group from your NodePing account or subaccount. Parameters token - NodePing API token that is provided with account opts - Optional Map of parameters for new contact group customerid - optional ID to access a subaccount Opts name - A label for the group members - A list of contact ids Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; members = [ &quot;9GJ7EHJX&quot; , &quot;GFRWVKD9&quot; ] iex&gt; opts = %{ :name =&gt; &quot;contactgroup name&quot; , :members =&gt; members } iex&gt; { :ok , result } = NodePing.ContactGroups . create ( token , opts )","ref":"NodePing.ContactGroups.html#create/3"},{"type":"function","title":"NodePing.ContactGroups.create!/3","doc":"Create a contact group from your NodePing account or subaccount. Parameters token - NodePing API token that is provided with account opts - Optional Map of parameters for new contact group customerid - optional ID to access a subaccount Opts name - A label for the group members - A list of contact ids Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; members = [ &quot;9GJ7EHJX&quot; , &quot;GFRWVKD9&quot; ] iex&gt; opts = %{ :name =&gt; &quot;contactgroup name&quot; , :members =&gt; members } iex&gt; result = NodePing.ContactGroups . create! ( token , opts )","ref":"NodePing.ContactGroups.html#create!/3"},{"type":"function","title":"NodePing.ContactGroups.delete/3","doc":"Delete a contact group from your NodePing account or subaccount. Parameters token - NodePing API token that is provided with account id - the ID for your contact group customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; id = &quot;201205050153W2Q4C-G-3QJWG&quot; iex&gt; { :ok , result } = NodePing.ContactGroups . delete ( token , id )","ref":"NodePing.ContactGroups.html#delete/3"},{"type":"function","title":"NodePing.ContactGroups.delete!/3","doc":"Delete a contact group from your NodePing account or subaccount. Parameters token - NodePing API token that is provided with account id - the ID for your contact group customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; id = &quot;201205050153W2Q4C-G-3QJWG&quot; iex&gt; result = NodePing.ContactGroups . delete! ( token , id )","ref":"NodePing.ContactGroups.html#delete!/3"},{"type":"function","title":"NodePing.ContactGroups.get_all/2","doc":"Get contact groups for your NodePing account or subaccount. Parameters token - NodePing API token that is provided with account customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; { :ok , result } = NodePing.ContactGroups . get_all ( token )","ref":"NodePing.ContactGroups.html#get_all/2"},{"type":"function","title":"NodePing.ContactGroups.get_all!/2","doc":"Get contact groups for your NodePing account or subaccount. Parameters token - NodePing API token that is provided with account customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; result = NodePing.ContactGroups . get_all! ( token )","ref":"NodePing.ContactGroups.html#get_all!/2"},{"type":"function","title":"NodePing.ContactGroups.get_by_id/3","doc":"Get a contact group from your NodePing account or subaccount. Parameters token - NodePing API token that is provided with account id - the ID for your contact group customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; id = &quot;201205050153W2Q4C-G-3QJWG&quot; iex&gt; { :ok , result } = NodePing.ContactGroups . get_by_id ( token , id )","ref":"NodePing.ContactGroups.html#get_by_id/3"},{"type":"function","title":"NodePing.ContactGroups.get_by_id!/3","doc":"Get a contact group from your NodePing account or subaccount. Parameters token - NodePing API token that is provided with account id - the ID for your contact group customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; id = &quot;201205050153W2Q4C-G-3QJWG&quot; iex&gt; result = NodePing.ContactGroups . get_by_id! ( token , id )","ref":"NodePing.ContactGroups.html#get_by_id!/3"},{"type":"function","title":"NodePing.ContactGroups.update/4","doc":"Update an existing contact group on your NodePing account or subaccount. Parameters token - NodePing API token that is provided with account id - the ID for your contact group opts - Optional Map of parameters for new contact group customerid - optional ID to access a subaccount Opts name - A label for the group members - A list of contact ids Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; id = &quot;201205050153W2Q4C-G-3QJWG&quot; iex&gt; members = [ &quot;9GJ7EHJX&quot; , &quot;GFRWVKD9&quot; ] iex&gt; opts = %{ :name =&gt; &quot;contactgroup name&quot; , :members =&gt; members } iex&gt; { :ok , result } = NodePing.ContactGroups . update ( token , id , opts )","ref":"NodePing.ContactGroups.html#update/4"},{"type":"function","title":"NodePing.ContactGroups.update!/4","doc":"Update an existing contact group on your NodePing account or subaccount. Parameters token - NodePing API token that is provided with account id - the ID for your contact group opts - Optional Map of parameters for new contact group customerid - optional ID to access a subaccount Opts name - A label for the group members - A list of contact ids Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; id = &quot;201205050153W2Q4C-G-3QJWG&quot; iex&gt; members = [ &quot;9GJ7EHJX&quot; , &quot;GFRWVKD9&quot; ] iex&gt; opts = %{ :name =&gt; &quot;contactgroup name&quot; , :members =&gt; members } iex&gt; result = NodePing.ContactGroups . update! ( token , id , opts )","ref":"NodePing.ContactGroups.html#update!/4"},{"type":"module","title":"NodePing.Contacts","doc":"Manage contacts on your NodePing account and subaccount.","ref":"NodePing.Contacts.html"},{"type":"function","title":"NodePing.Contacts.create_contact/3","doc":"Create a new contact for your account or subaccount. You can reference the fields by using the NodePing.Contacts.Contact struct View the documentation to see the structure for creating contacts: https://nodeping.com/docs-api-contacts.html#post-put Parameters token - NodePing API token that was provided with account args - Arguments for creating a NodePing contact customerid - optional ID to access a subaccount","ref":"NodePing.Contacts.html#create_contact/3"},{"type":"function","title":"NodePing.Contacts.create_contact!/3","doc":"Create a new contact for your account or subaccount. You can reference the fields by using the NodePing.Contacts.Contact struct View the documentation to see the structure for creating contacts: https://nodeping.com/docs-api-contacts.html#post-put Parameters token - NodePing API token that was provided with account args - Arguments for creating a NodePing contact customerid - optional ID to access a subaccount","ref":"NodePing.Contacts.html#create_contact!/3"},{"type":"function","title":"NodePing.Contacts.delete_contact/3","doc":"Delete an existing contact from your account or subaccount. Specify the ID of the contact to be deleted. Parameters token - NodePing API token that was provided with account id - ID for contact that will be deleted customerid - optional ID to access a subaccount","ref":"NodePing.Contacts.html#delete_contact/3"},{"type":"function","title":"NodePing.Contacts.delete_contact!/3","doc":"Delete an existing contact from your account or subaccount. Specify the ID of the contact to be deleted. Parameters token - NodePing API token that was provided with account id - ID for contact that will be deleted customerid - optional ID to access a subaccount","ref":"NodePing.Contacts.html#delete_contact!/3"},{"type":"function","title":"NodePing.Contacts.get_all/2","doc":"Get all contacts on your NodePing account or subaccount Parameters token - NodePing API token that was provided with account customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; { :ok , result } = NodePing.Contacts . get_all ( token )","ref":"NodePing.Contacts.html#get_all/2"},{"type":"function","title":"NodePing.Contacts.get_all!/2","doc":"Get all contacts on your NodePing account or subaccount Parameters token - NodePing API token that was provided with account customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; result = NodePing.Contacts . get_all! ( token )","ref":"NodePing.Contacts.html#get_all!/2"},{"type":"function","title":"NodePing.Contacts.get_by_id/3","doc":"Get a contact on your NodePing account or subaccount Parameters token - NodePing API token that was provided with account id - contact ID for getting a single contact customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; id = &quot;201205050153W2Q4C-BKPGH&quot; iex&gt; { :ok , result } = NodePing.Contacts . get_by_id ( token , id )","ref":"NodePing.Contacts.html#get_by_id/3"},{"type":"function","title":"NodePing.Contacts.get_by_id!/3","doc":"Get contacts on your NodePing account or subaccount. Supply an optional id to get info for a single contact Parameters token - NodePing API token that was provided with account id - contact ID for getting a single contact customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; id = &quot;201205050153W2Q4C-BKPGH&quot; iex&gt; result = NodePing.Contacts . get_by_id! ( token , id )","ref":"NodePing.Contacts.html#get_by_id!/3"},{"type":"function","title":"NodePing.Contacts.mute_contact/4","doc":"Mute an entire contact for a specified duration in seconds. Note that the contact has to be the ID (or _id) of the contact. NOTE: This makes a GET request to the API before doing a PUT Parameters token - NodePing API token that was provided with account id - the ID for the contact you want to mute duration - time to mute the contact method in seconds customerid - optional ID to access a subaccount","ref":"NodePing.Contacts.html#mute_contact/4"},{"type":"function","title":"NodePing.Contacts.mute_contact!/4","doc":"Mute an entire contact for a specified duration in seconds. Note that the contact has to be the ID (or _id) of the contact. NOTE: This makes a GET request to the API before doing a PUT Parameters token - NodePing API token that was provided with account id - the ID for the contact you want to mute duration - time to mute the contact method in seconds customerid - optional ID to access a subaccount","ref":"NodePing.Contacts.html#mute_contact!/4"},{"type":"function","title":"NodePing.Contacts.mute_contact_method/4","doc":"Mute a contact method for a specified durtion in seconds. Note that the contact has to be the ID in the &quot;addresses&quot; portion of a contact. NOTE: This makes a GET request to the API before doing a PUT Parameters token - NodePing API token that was provided with account id - the ID for the contact method you want to mute duration - time to mute the contact method in seconds customerid - optional ID to access a subaccount","ref":"NodePing.Contacts.html#mute_contact_method/4"},{"type":"function","title":"NodePing.Contacts.mute_contact_method!/4","doc":"Mute a contact method for a specified durtion in seconds. Note that the contact has to be the ID in the &quot;addresses&quot; portion of a contact. NOTE: This makes a GET request to the API before doing a PUT Parameters token - NodePing API token that was provided with account id - the ID for the contact method you want to mute duration - time to mute the contact method in seconds customerid - optional ID to access a subaccount","ref":"NodePing.Contacts.html#mute_contact_method!/4"},{"type":"function","title":"NodePing.Contacts.reset_password/3","doc":"Reset the password for a contact. The password will be emailed to the contact's email address.","ref":"NodePing.Contacts.html#reset_password/3"},{"type":"function","title":"NodePing.Contacts.reset_password!/3","doc":"Reset the password for a contact. The password will be emailed to the contact's email address.","ref":"NodePing.Contacts.html#reset_password!/3"},{"type":"function","title":"NodePing.Contacts.update_contact/4","doc":"Update an existing contact for your account or subaccount. NOTE When updating a contact's addresses, you must provide the current list of addresses. Any missing addresses will be removed. You can reference the fields by using the NodePing.Contacts.Contact struct View the documentation to see the structure for creating contacts: https://nodeping.com/docs-api-contacts.html#post-put Parameters token - NodePing API token that was provided with account id - The contact id args - Arguments for creating a NodePing contact customerid - optional ID to access a subaccount Examples iex&gt; updated_contact = %{ &quot;A775GC26&quot; =&gt; %{ address : &quot;me@example.com&quot; , supressup : true , type : &quot;email&quot; } } iex&gt; { :ok , updated } = NodePing.Contacts . update_contact ( token , id , %{ addresses : updated_contact } )","ref":"NodePing.Contacts.html#update_contact/4"},{"type":"function","title":"NodePing.Contacts.update_contact!/4","doc":"Update an existing contact for your account or subaccount. NOTE When updating a contact's addresses, you must provide the current list of addresses. Any missing addresses will be removed. You can reference the fields by using the NodePing.Contacts.Contact struct View the documentation to see the structure for creating contacts: https://nodeping.com/docs-api-contacts.html#post-put Parameters token - NodePing API token that was provided with account id - The contact id args - Arguments for creating a NodePing contact customerid - optional ID to access a subaccount Examples iex&gt; existing_contacts = %{ &quot;A775GC26&quot; =&gt; %{ address : &quot;me@example.com&quot; , supressup : true , type : &quot;email&quot; } } iex&gt; updated = NodePing.Contacts . update_contact! ( token , id , %{ addresses : updated_contact } )","ref":"NodePing.Contacts.html#update_contact!/4"},{"type":"module","title":"NodePing.Diagnostics","doc":"Request diagnostic information from a probe or AGENT Different metrics types include mtr, ping, traceroute, dig, pageload/browserperf, and screenshot. NOTE AGENT locations do not support pageload and screenshot tools https://nodeping.com/docs-api-diagnostics.html","ref":"NodePing.Diagnostics.html"},{"type":"function","title":"NodePing.Diagnostics.get/5","doc":"Get diagnostic information from a probe or agent Parameters token - NodePing API token that was provided with account checkid - Check id of the check you want to get diagnostics on location - The probe or AGENT you want to gather metrics from tool - The type of diagnostic you would like to run Tool options include: mtr, ping, traceroute, dig, pageload, or screenshot NOTE AGENTs do not support browserperf or screenshot Opts target - The URL, FQDN, or IP address you'd like to get diagnostics about dnsserver - Used for the dig tool - the FQDN or IP address of the DNS server you'd like to query dnstype - Used for the dig tool - the DNS record type for the query count - Used for the following tools: mtr and ping The opts are a map where the key is an atom. For example, %{:target =&gt; &quot;www.example.com&quot;, :count =&gt; 10}","ref":"NodePing.Diagnostics.html#get/5"},{"type":"module","title":"NodePing.Helpers","doc":"Helper functions for the inner workings of of elixir library for the NodePing API","ref":"NodePing.Helpers.html"},{"type":"function","title":"NodePing.Helpers.add_cust_id/2","doc":"Add the customerid to a list if it is not nil","ref":"NodePing.Helpers.html#add_cust_id/2"},{"type":"function","title":"NodePing.Helpers.combine_map_struct/2","doc":"Combine a struct from a map","ref":"NodePing.Helpers.html#combine_map_struct/2"},{"type":"function","title":"NodePing.Helpers.merge_querystrings/1","doc":"Takes querystrings for a URL and merges them into a single string Parameters querystrings - A list of tuples where the first value is an Atom for the key, and the second is the value Examples iex&gt; NodePing.Helpers . merge_querystrings ( [ { :hello , &quot;world&quot; } , { :sample , &quot;data&quot; } ] ) &quot;?hello=world&amp;sample=data&quot;","ref":"NodePing.Helpers.html#merge_querystrings/1"},{"type":"module","title":"NodePing.HttpRequests","doc":"GET/POST/PUT/DELETE functions for interfacing with the NodePing API","ref":"NodePing.HttpRequests.html"},{"type":"function","title":"NodePing.HttpRequests.delete/1","doc":"","ref":"NodePing.HttpRequests.html#delete/1"},{"type":"function","title":"NodePing.HttpRequests.get/1","doc":"","ref":"NodePing.HttpRequests.html#get/1"},{"type":"function","title":"NodePing.HttpRequests.get/2","doc":"","ref":"NodePing.HttpRequests.html#get/2"},{"type":"function","title":"NodePing.HttpRequests.post/2","doc":"","ref":"NodePing.HttpRequests.html#post/2"},{"type":"function","title":"NodePing.HttpRequests.put/1","doc":"","ref":"NodePing.HttpRequests.html#put/1"},{"type":"function","title":"NodePing.HttpRequests.put/2","doc":"","ref":"NodePing.HttpRequests.html#put/2"},{"type":"module","title":"NodePing.Information","doc":"Get information about NodePing probes and regions","ref":"NodePing.Information.html"},{"type":"function","title":"NodePing.Information.get_locations/1","doc":"Get region location information, the region name and list of probe locations. Parameters token - NodePing API token that is provided with account Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; { :ok , result } = NodePing.Information . get_locations ( token ) iex&gt; Map . keys ( result ) [ &quot;eao&quot; , &quot;eur&quot; , &quot;lam&quot; , &quot;nam&quot; , &quot;wlw&quot; ]","ref":"NodePing.Information.html#get_locations/1"},{"type":"function","title":"NodePing.Information.get_locations/2","doc":"Get region location information, the region name and list of probe locations. Parameters token - NodePing API token that is provided with account Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; { :ok , result } = NodePing.Information . get_locations ( token , &quot;nam&quot; ) iex&gt; Map . keys ( result ) [ &quot;locations&quot; , &quot;regionname&quot; ]","ref":"NodePing.Information.html#get_locations/2"},{"type":"function","title":"NodePing.Information.get_locations!/1","doc":"Get region location information, the region name and list of probe locations. Parameters token - NodePing API token that is provided with account Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; result = NodePing.Information . get_locations! ( token ) iex&gt; Map . keys ( result ) [ &quot;eao&quot; , &quot;eur&quot; , &quot;lam&quot; , &quot;nam&quot; , &quot;wlw&quot; ]","ref":"NodePing.Information.html#get_locations!/1"},{"type":"function","title":"NodePing.Information.get_locations!/2","doc":"Get region location information, the region name and list of probe locations. Parameters token - NodePing API token that is provided with account Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; result = NodePing.Information . get_locations! ( token , &quot;nam&quot; ) iex&gt; Map . keys ( result ) [ &quot;locations&quot; , &quot;regionname&quot; ]","ref":"NodePing.Information.html#get_locations!/2"},{"type":"function","title":"NodePing.Information.get_probe/1","doc":"Get information about all active NodePing probes The returned value is a JSON object that is converted to a map of maps Parameters token - NodePing API token that is provided with account Examples iex&gt; token = Application . fetch_env! ( :nodeping , :token ) iex&gt; { :ok , result } = NodePing.Information . get_probe ( token ) iex&gt; is_map ( result ) true","ref":"NodePing.Information.html#get_probe/1"},{"type":"function","title":"NodePing.Information.get_probe/2","doc":"Get information about all active NodePing probes The returned value is a JSON object that is converted to a map of maps Parameters token - NodePing API token that is provided with account probe - The abbreviation for the region/location of probe. For example, nam for the NAM region or wa for the Washington server Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; NodePing.Information . get_probe ( token , :de ) { :ok , %{ &quot;country&quot; =&gt; &quot;DE&quot; , &quot;ipv4&quot; =&gt; &quot;54.36.110.96&quot; , &quot;ipv6&quot; =&gt; &quot;2001:41d0:700:1360::10&quot; , &quot;location&quot; =&gt; &quot;de&quot; , &quot;locationname&quot; =&gt; &quot;Frankfurt, Germany&quot; , &quot;region&quot; =&gt; &quot;eur&quot; , &quot;regionname&quot; =&gt; &quot;Europe&quot; } }","ref":"NodePing.Information.html#get_probe/2"},{"type":"function","title":"NodePing.Information.get_probe!/1","doc":"Get information about all active NodePing probes The returned value is a JSON object that is converted to a map of maps Parameters token - NodePing API token that is provided with account Examples iex&gt; token = Application . fetch_env! ( :nodeping , :token ) iex&gt; result = NodePing.Information . get_probe ( token ) iex&gt; is_map ( result ) true","ref":"NodePing.Information.html#get_probe!/1"},{"type":"function","title":"NodePing.Information.get_probe!/2","doc":"Get information about all active NodePing probes The returned value is a JSON object that is converted to a map of maps Parameters token - NodePing API token that is provided with account probe - The abbreviation for the region/location of probe. For example, nam for the NAM region or wa for the Washington server Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; NodePing.Information . get_probe! ( token , :de ) %{ &quot;country&quot; =&gt; &quot;DE&quot; , &quot;ipv4&quot; =&gt; &quot;54.36.110.96&quot; , &quot;ipv6&quot; =&gt; &quot;2001:41d0:700:1360::10&quot; , &quot;location&quot; =&gt; &quot;de&quot; , &quot;locationname&quot; =&gt; &quot;Frankfurt, Germany&quot; , &quot;region&quot; =&gt; &quot;eur&quot; , &quot;regionname&quot; =&gt; &quot;Europe&quot; }","ref":"NodePing.Information.html#get_probe!/2"},{"type":"module","title":"NodePing.Maintenance","doc":"Maintenance schedules are used for automating the disabling and re-enabling of checks on a schedule or for one-time use (ad-hoc). In the web site they are under Account Settings -&gt; Maintenance.","ref":"NodePing.Maintenance.html"},{"type":"function","title":"NodePing.Maintenance.create/6","doc":"Create a scheduled or ad-hoc maintenance. Parameters token - NodePing API token that is provided with account duration - The duration that the maintenance will run name - the name for the maintenance checklist - a list of check IDs that are a part of the maintenance opts - Map of optional arguments for creating the maintenance customerid - optional ID to access a subaccount Opts id - Set this to &quot;ad-hoc&quot; if you want an ad-hoc maintenance enabled - for scheduled maintenance. Whether it should be enabled or disabled on creation cron - cron string for when scheduled maintenance should start Examples Creates an ad-hoc maintenance iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; checklist = [ &quot;201911191441YC6SJ-4S9OJ78G&quot; , &quot;201911191441YC6SJ-XB5HUTG6&quot; ] iex&gt; duration = 30 iex&gt; name = &quot;ad-hoc maintenance&quot; iex&gt; opts = %{ :id =&gt; &quot;ad-hoc&quot; } iex&gt; { :ok , result } = NodePing.Maintenance . create ( token , duration , name , checklist , opts ) Creates a scheduled maintenance iex&gt; name = &quot;scheduled maintenance&quot; iex&gt; opts = %{ :cron =&gt; &quot;15 14 1 * *&quot; , :enabled =&gt; false } iex&gt; { :ok , result } = NodePing.Maintenance . create ( token , duration , name , checklist , opts )","ref":"NodePing.Maintenance.html#create/6"},{"type":"function","title":"NodePing.Maintenance.create!/6","doc":"Create a scheduled or ad-hoc maintenance. Parameters token - NodePing API token that is provided with account duration - The duration that the maintenance will run name - the name for the maintenance checklist - a list of check IDs that are a part of the maintenance opts - Map of optional arguments for creating the maintenance customerid - optional ID to access a subaccount Opts id - Set this to &quot;ad-hoc&quot; if you want an ad-hoc maintenance enabled - for scheduled maintenance. Whether it should be enabled or disabled on creation cron - cron string for when scheduled maintenance should start Examples Creates an ad-hoc maintenance iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; checklist = [ &quot;201911191441YC6SJ-4S9OJ78G&quot; , &quot;201911191441YC6SJ-XB5HUTG6&quot; ] iex&gt; duration = 30 iex&gt; name = &quot;ad-hoc maintenance&quot; iex&gt; opts = %{ :id =&gt; &quot;ad-hoc&quot; } iex&gt; result = NodePing.Maintenance . create! ( token , duration , name , checklist , opts ) Creates a scheduled maintenance iex&gt; name = &quot;scheduled maintenance&quot; iex&gt; opts = %{ :cron =&gt; &quot;15 14 1 * *&quot; , :enabled =&gt; false } iex&gt; result = NodePing.Maintenance . create ( token , duration , name , checklist , opts )","ref":"NodePing.Maintenance.html#create!/6"},{"type":"function","title":"NodePing.Maintenance.delete/3","doc":"Remove an ad-hoc or scheduled maintenance. ## Parameters token - NodePing API token that is provided with account id - maintenance id customerid - optional ID to access a subaccount ## Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; id = &quot;NZT101&quot; iex&gt; { :ok , result } = NodePing.Maintenance . delete ( token , id )","ref":"NodePing.Maintenance.html#delete/3"},{"type":"function","title":"NodePing.Maintenance.delete!/3","doc":"Remove an ad-hoc or scheduled maintenance. ## Parameters token - NodePing API token that is provided with account id - maintenance id customerid - optional ID to access a subaccount ## Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; id = &quot;NZT101&quot; iex&gt; result = NodePing.Maintenance . delete! ( token )","ref":"NodePing.Maintenance.html#delete!/3"},{"type":"function","title":"NodePing.Maintenance.get/2","doc":"Get maintenance information for all maintenance entries. ## Parameters token - NodePing API token that is provided with account customerid - optional ID to access a subaccount ## Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; { :ok , result } = NodePing.Maintenance . get ( token )","ref":"NodePing.Maintenance.html#get/2"},{"type":"function","title":"NodePing.Maintenance.get!/2","doc":"Get maintenance information for all maintenance entries. ## Parameters token - NodePing API token that is provided with account customerid - optional ID to access a subaccount ## Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; result = NodePing.Maintenance . get! ( token )","ref":"NodePing.Maintenance.html#get!/2"},{"type":"function","title":"NodePing.Maintenance.get_by_id/3","doc":"Get maintenance information for a specific maintenance entry. Parameters token - NodePing API token that is provided with account id - maintenance id customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; id = &quot;NZT101&quot; iex&gt; { :ok , result } = NodePing.Maintenance . get_by_id ( token , id )","ref":"NodePing.Maintenance.html#get_by_id/3"},{"type":"function","title":"NodePing.Maintenance.get_by_id!/3","doc":"Get maintenance information for a specific maintenance entry. Parameters token - NodePing API token that is provided with account id - maintenance id customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; id = &quot;NZT101&quot; iex&gt; result = NodePing.Maintenance . get_by_id! ( token , id )","ref":"NodePing.Maintenance.html#get_by_id!/3"},{"type":"function","title":"NodePing.Maintenance.update/6","doc":"Update a scheduled or ad-hoc maintenance. Parameters token - NodePing API token that is provided with account id - ID for maintenance schedule that will be updated duration - The duration that the maintenance will run checklist - a list of check IDs that are a part of the maintenance opts - Map of optional arguments for creating the maintenance customerid - optional ID to access a subaccount Opts enabled - for scheduled maintenance. Whether it should be enabled or disabled on creation name - the name for the maintenance cron - cron string for when scheduled maintenance should start Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; checklist = [ &quot;201911191441YC6SJ-4S9OJ78G&quot; , &quot;201911191441YC6SJ-XB5HUTG6&quot; ] iex&gt; duration = 30 iex&gt; id = &quot;NZT101&quot; iex&gt; opts = %{ :name =&gt; &quot;new maintenance name&quot; } iex&gt; { :ok , result } = NodePing.Maintenance . update ( token , id , duration , checklist , opts )","ref":"NodePing.Maintenance.html#update/6"},{"type":"function","title":"NodePing.Maintenance.update!/6","doc":"Update a scheduled or ad-hoc maintenance. Parameters token - NodePing API token that is provided with account id - ID for maintenance schedule that will be updated duration - The duration that the maintenance will run checklist - a list of check IDs that are a part of the maintenance opts - Map of optional arguments for creating the maintenance customerid - optional ID to access a subaccount Opts enabled - for scheduled maintenance. Whether it should be enabled or disabled on creation name - the name for the maintenance cron - cron string for when scheduled maintenance should start Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; checklist = [ &quot;201911191441YC6SJ-4S9OJ78G&quot; , &quot;201911191441YC6SJ-XB5HUTG6&quot; ] iex&gt; duration = 30 iex&gt; id = &quot;NZT101&quot; iex&gt; opts = %{ :name =&gt; &quot;new maintenance name&quot; } iex&gt; result = NodePing.Maintenance . update! ( token , id , duration , checklist , opts )","ref":"NodePing.Maintenance.html#update!/6"},{"type":"module","title":"NodePing.Notificationprofiles","doc":"Manage notification profiles for a NodePing account https://nodeping.com/docs-api-notificationprofiles.html","ref":"NodePing.Notificationprofiles.html"},{"type":"function","title":"NodePing.Notificationprofiles.create/3","doc":"Create a notification profile for the account Parameters token - NodePing API token that is provided with account name - Name for the notification profile notifications - list of maps containing the contact or group id, delay, and scheduling for notifications Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; notifications = [ &gt; %{ &quot;contactkey1&quot; =&gt; %{ &quot;delay&quot; =&gt; 0 , &quot;schedule&quot; =&gt; &quot;schedule1&quot; } } , &gt; %{ &quot;contactkey2&quot; =&gt; %{ &quot;delay&quot; =&gt; 0 , &quot;schedule&quot; =&gt; &quot;schedule1&quot; } } , &gt; ] iex&gt; { :ok , result } = NodePing.Notificationprofiles . create ( token , &quot;profilename&quot; , notifications )","ref":"NodePing.Notificationprofiles.html#create/3"},{"type":"function","title":"NodePing.Notificationprofiles.create/4","doc":"Create a notification profile for the account Parameters token - NodePing API token that is provided with account name - Name for the notification profile notifications - list of maps containing the contact or group id, delay, and scheduling for notifications customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; customerid = System . fetch_env! ( &quot;CUSTOMERID&quot; ) iex&gt; notifications = [ &gt; %{ &quot;contactkey1&quot; =&gt; %{ &quot;delay&quot; =&gt; 0 , &quot;schedule&quot; =&gt; &quot;schedule1&quot; } } , &gt; %{ &quot;contactkey2&quot; =&gt; %{ &quot;delay&quot; =&gt; 0 , &quot;schedule&quot; =&gt; &quot;schedule1&quot; } } , &gt; ] iex&gt; { :ok , result } = NodePing.Notificationprofiles . create ( token , &quot;profilename&quot; , notifications , customerid )","ref":"NodePing.Notificationprofiles.html#create/4"},{"type":"function","title":"NodePing.Notificationprofiles.create!/3","doc":"Create a notification profile for the account Parameters token - NodePing API token that is provided with account name - Name for the notification profile notifications - list of maps containing the contact or group id, delay, and scheduling for notifications Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; notifications = [ &gt; %{ &quot;contactkey1&quot; =&gt; %{ &quot;delay&quot; =&gt; 0 , &quot;schedule&quot; =&gt; &quot;schedule1&quot; } } , &gt; %{ &quot;contactkey2&quot; =&gt; %{ &quot;delay&quot; =&gt; 0 , &quot;schedule&quot; =&gt; &quot;schedule1&quot; } } , &gt; ] iex&gt; result = NodePing.Notificationprofiles . create! ( token , &quot;profilename&quot; , notifications )","ref":"NodePing.Notificationprofiles.html#create!/3"},{"type":"function","title":"NodePing.Notificationprofiles.create!/4","doc":"Create a notification profile for the account Parameters token - NodePing API token that is provided with account name - Name for the notification profile notifications - list of maps containing the contact or group id, delay, and scheduling for notifications customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; customerid = System . fetch_env! ( &quot;CUSTOMERID&quot; ) iex&gt; notifications = [ &gt; %{ &quot;contactkey1&quot; =&gt; %{ &quot;delay&quot; =&gt; 0 , &quot;schedule&quot; =&gt; &quot;schedule1&quot; } } , &gt; %{ &quot;contactkey2&quot; =&gt; %{ &quot;delay&quot; =&gt; 0 , &quot;schedule&quot; =&gt; &quot;schedule1&quot; } } , &gt; ] iex&gt; result = NodePing.Notificationprofiles . create! ( token , &quot;profilename&quot; , notifications , customerid )","ref":"NodePing.Notificationprofiles.html#create!/4"},{"type":"function","title":"NodePing.Notificationprofiles.delete/2","doc":"Delete a notification profile from the account Parameters token - NodePing API token that is provided with account id - the ID for the notification profile being updated Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; id = &quot;201205050153W2Q4C-P-3QJWG&quot; iex&gt; { :ok , result } = NodePing.Notificationprofiles . delete ( token , id )","ref":"NodePing.Notificationprofiles.html#delete/2"},{"type":"function","title":"NodePing.Notificationprofiles.delete/3","doc":"Delete a notification profile from the account Parameters token - NodePing API token that is provided with account id - the ID for the notification profile being updated Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; customerid = System . fetch_env! ( &quot;CUSTOMERID&quot; ) iex&gt; id = &quot;201205050153W2Q4C-P-3QJWG&quot; iex&gt; { :ok , result } = NodePing.Notificationprofiles . delete ( token , id , customerid )","ref":"NodePing.Notificationprofiles.html#delete/3"},{"type":"function","title":"NodePing.Notificationprofiles.delete!/2","doc":"Delete a notification profile from the account Parameters token - NodePing API token that is provided with account id - the ID for the notification profile being updated Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; id = &quot;201205050153W2Q4C-P-3QJWG&quot; iex&gt; result = NodePing.Notificationprofiles . delete! ( token , id )","ref":"NodePing.Notificationprofiles.html#delete!/2"},{"type":"function","title":"NodePing.Notificationprofiles.delete!/3","doc":"Delete a notification profile from the account Parameters token - NodePing API token that is provided with account id - the ID for the notification profile being updated Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; customerid = System . fetch_env! ( &quot;CUSTOMERID&quot; ) iex&gt; id = &quot;201205050153W2Q4C-P-3QJWG&quot; iex&gt; result = NodePing.Notificationprofiles . delete! ( token , id , customerid )","ref":"NodePing.Notificationprofiles.html#delete!/3"},{"type":"function","title":"NodePing.Notificationprofiles.get/1","doc":"Get a list of notification profiles for the account Parameters token - NodePing API token that is provided with account Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; { :ok , result } = NodePing.Notificationprofiles . get ( token )","ref":"NodePing.Notificationprofiles.html#get/1"},{"type":"function","title":"NodePing.Notificationprofiles.get/2","doc":"Get a list of notification profiles for the account Parameters token - NodePing API token that is provided with account customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; customerid = System . fetch_env! ( &quot;CUSTOMERID&quot; ) iex&gt; { :ok , result } = NodePing.Notificationprofiles . get ( token , customerid )","ref":"NodePing.Notificationprofiles.html#get/2"},{"type":"function","title":"NodePing.Notificationprofiles.get!/1","doc":"Get a list of notification profiles for the subaccount Parameters token - NodePing API token that is provided with account Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; result = NodePing.Notificationprofiles . get ( token )","ref":"NodePing.Notificationprofiles.html#get!/1"},{"type":"function","title":"NodePing.Notificationprofiles.get!/2","doc":"Get a list of notification profiles for the subaccount Parameters token - NodePing API token that is provided with account customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; customerid = System . fetch_env! ( &quot;CUSTOMERID&quot; ) iex&gt; result = NodePing.Notificationprofiles . get ( token , customerid )","ref":"NodePing.Notificationprofiles.html#get!/2"},{"type":"function","title":"NodePing.Notificationprofiles.get_id/2","doc":"Get information for the notification profile for an account Parameters token - NodePing API token that is provided with account id - the ID for the notification profile Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; id = &quot;201205050153W2Q4C-P-3QJWG&quot; iex&gt; { :ok , result } = NodePing.Notificationprofiles . get_id ( token , id )","ref":"NodePing.Notificationprofiles.html#get_id/2"},{"type":"function","title":"NodePing.Notificationprofiles.get_id/3","doc":"Get information for the notification profile for a subaccount Parameters token - NodePing API token that is provided with account id - the ID for the notification profile customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; customerid = System . fetch_env! ( &quot;CUSTOMERID&quot; ) iex&gt; id = &quot;201205050153W2Q4C-P-3QJWG&quot; iex&gt; { :ok , result } = NodePing.Notificationprofiles . get_id ( token , id , customerid )","ref":"NodePing.Notificationprofiles.html#get_id/3"},{"type":"function","title":"NodePing.Notificationprofiles.get_id!/2","doc":"Get information for the notification profile for an account Parameters token - NodePing API token that is provided with account id - the ID for the notification profile Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; id = &quot;201205050153W2Q4C-P-3QJWG&quot; iex&gt; result = NodePing.Notificationprofiles . get_id! ( token , id )","ref":"NodePing.Notificationprofiles.html#get_id!/2"},{"type":"function","title":"NodePing.Notificationprofiles.get_id!/3","doc":"Get information for the notification profile for a subaccount Parameters token - NodePing API token that is provided with account id - the ID for the notification profile customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; customerid = System . fetch_env! ( &quot;CUSTOMERID&quot; ) iex&gt; id = &quot;201205050153W2Q4C-P-3QJWG&quot; iex&gt; result = NodePing.Notificationprofiles . get_id ( token , id , customerid )","ref":"NodePing.Notificationprofiles.html#get_id!/3"},{"type":"function","title":"NodePing.Notificationprofiles.update/4","doc":"Create a notification profile for the account Parameters token - NodePing API token that is provided with account id - the ID for the notification profile being updated name - Name for the notification profile notifications - list of maps containing the contact or group id, delay, and scheduling for notifications Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; customerid = System . fetch_env! ( &quot;CUSTOMERID&quot; ) iex&gt; id = &quot;201205050153W2Q4C-P-3QJWG&quot; iex&gt; notifications = [ &gt; %{ &quot;contactkey1&quot; =&gt; %{ &quot;delay&quot; =&gt; 0 , &quot;schedule&quot; =&gt; &quot;schedule1&quot; } } , &gt; %{ &quot;contactkey2&quot; =&gt; %{ &quot;delay&quot; =&gt; 0 , &quot;schedule&quot; =&gt; &quot;schedule1&quot; } } , &gt; ] iex&gt; { :ok , result } = NodePing.Notificationprofiles . update ( token , id , &quot;profilename&quot; , notifications )","ref":"NodePing.Notificationprofiles.html#update/4"},{"type":"function","title":"NodePing.Notificationprofiles.update/5","doc":"Create a notification profile for the account Parameters token - NodePing API token that is provided with account id - the ID for the notification profile being updated name - Name for the notification profile notifications - list of maps containing the contact or group id, delay, and scheduling for notifications customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; customerid = System . fetch_env! ( &quot;CUSTOMERID&quot; ) iex&gt; id = &quot;201205050153W2Q4C-P-3QJWG&quot; iex&gt; notifications = [ &gt; %{ &quot;contactkey1&quot; =&gt; %{ &quot;delay&quot; =&gt; 0 , &quot;schedule&quot; =&gt; &quot;schedule1&quot; } } , &gt; %{ &quot;contactkey2&quot; =&gt; %{ &quot;delay&quot; =&gt; 0 , &quot;schedule&quot; =&gt; &quot;schedule1&quot; } } , &gt; ] iex&gt; { :ok , result } = NodePing.Notificationprofiles . update ( token , id , &quot;profilename&quot; , notifications , customerid )","ref":"NodePing.Notificationprofiles.html#update/5"},{"type":"function","title":"NodePing.Notificationprofiles.update!/4","doc":"Create a notification profile for the account Parameters token - NodePing API token that is provided with account id - the ID for the notification profile being updated name - Name for the notification profile notifications - list of maps containing the contact or group id, delay, and scheduling for notifications Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; customerid = System . fetch_env! ( &quot;CUSTOMERID&quot; ) iex&gt; id = &quot;201205050153W2Q4C-P-3QJWG&quot; iex&gt; notifications = [ &gt; %{ &quot;contactkey1&quot; =&gt; %{ &quot;delay&quot; =&gt; 0 , &quot;schedule&quot; =&gt; &quot;schedule1&quot; } } , &gt; %{ &quot;contactkey2&quot; =&gt; %{ &quot;delay&quot; =&gt; 0 , &quot;schedule&quot; =&gt; &quot;schedule1&quot; } } , &gt; ] iex&gt; result = NodePing.Notificationprofiles . update! ( token , id , &quot;profilename&quot; , notifications )","ref":"NodePing.Notificationprofiles.html#update!/4"},{"type":"function","title":"NodePing.Notificationprofiles.update!/5","doc":"Create a notification profile for the account Parameters token - NodePing API token that is provided with account id - the ID for the notification profile being updated name - Name for the notification profile notifications - list of maps containing the contact or group id, delay, and scheduling for notifications customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; customerid = System . fetch_env! ( &quot;CUSTOMERID&quot; ) iex&gt; id = &quot;201205050153W2Q4C-P-3QJWG&quot; iex&gt; notifications = [ &gt; %{ &quot;contactkey1&quot; =&gt; %{ &quot;delay&quot; =&gt; 0 , &quot;schedule&quot; =&gt; &quot;schedule1&quot; } } , &gt; %{ &quot;contactkey2&quot; =&gt; %{ &quot;delay&quot; =&gt; 0 , &quot;schedule&quot; =&gt; &quot;schedule1&quot; } } , &gt; ] iex&gt; result = NodePing.Notificationprofiles . update! ( token , id , &quot;profilename&quot; , notifications , customerid )","ref":"NodePing.Notificationprofiles.html#update!/5"},{"type":"module","title":"NodePing.Notifications","doc":"Get notifications for your checks","ref":"NodePing.Notifications.html"},{"type":"function","title":"NodePing.Notifications.get/3","doc":"Get check notifications Parameters token - NodePing API token that is provided with account opts - Map of optional arguments for getting a subset of notifications. nil if no opts Opts id - Check id of the check for which you want to list notifications span - optional integer - number of hours of notifications to retrieve limit - optional integer - number of records to retrieve. Defaults to 300 subaccounts - optional boolean - if set, notifications sent to subaccounts will also be included. Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; opts = %{ :id =&gt; &quot;201911191441YC6SJ-4S9OJ78G&quot; , :limit =&gt; 30 } iex&gt; { :ok , result } = NodePing.Notifications . get ( token , opts )","ref":"NodePing.Notifications.html#get/3"},{"type":"function","title":"NodePing.Notifications.get!/3","doc":"Get check notifications Parameters token - NodePing API token that is provided with account opts - Map of optional arguments for getting a subset of notifications. nil if no opts Opts id - Check id of the check for which you want to list notifications span - optional integer - number of hours of notifications to retrieve limit - optional integer - number of records to retrieve. Defaults to 300 subaccounts - optional boolean - if set, notifications sent to subaccounts will also be included. Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; opts = %{ :id =&gt; &quot;201911191441YC6SJ-4S9OJ78G&quot; , :limit =&gt; 30 } iex&gt; result = NodePing.Notifications . get! ( token , opts )","ref":"NodePing.Notifications.html#get!/3"},{"type":"module","title":"NodePing.Results","doc":"Get check results and uptime information","ref":"NodePing.Results.html"},{"type":"function","title":"NodePing.Results.current_events/2","doc":"Retrieves information about current &quot;events&quot; for checks. Events include down events and disabled checks. If you need a list of all checks with their passing/failing state, please use the 'checks' list rather than this 'current' call. ## Parameters token - NodePing API token that was provided with account customerid - optional ID to access a subaccount","ref":"NodePing.Results.html#current_events/2"},{"type":"function","title":"NodePing.Results.current_events!/2","doc":"Retrieves information about current &quot;events&quot; for checks. Events include down events and disabled checks. If you need a list of all checks with their passing/failing state, please use the 'checks' list rather than this 'current' call. Parameters token - NodePing API token that was provided with account customerid - optional ID to access a subaccount","ref":"NodePing.Results.html#current_events!/2"},{"type":"function","title":"NodePing.Results.get_events/3","doc":"Retrieves information about &quot;events&quot; for checks. Events include down events and disabled checks. https://nodeping.com/docs-api-results.html#events Parameters token - NodePing API token that was provided with account id - Check id of the check you want to get events for opts - Optional list of tuples to specify returned results Opts start - Start date to retrieve events from a specific range of time. end - End date to retrieve events from a specific range of time. limit - limit for the number of records to retrieve. Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; checkid = &quot;201205050153W2Q4C-0J2HSIRF&quot; iex&gt; start = &quot;2020-06&quot; iex&gt; end = &quot;2020-07&quot; iex&gt; limit = 10 iex&gt; opts = [ { :start , start } , { :end , end } , { :limit , limit } ] iex&gt; { :ok , results } = NodePing.Results . get_events ( token , checkid , opts )","ref":"NodePing.Results.html#get_events/3"},{"type":"function","title":"NodePing.Results.get_events!/3","doc":"Retrieves information about &quot;events&quot; for checks. Events include down events and disabled checks. https://nodeping.com/docs-api-results.html#events Parameters token - NodePing API token that was provided with account id - Check id of the check you want to get events for opts - Optional list of tuples to specify returned results Opts start - Start date to retrieve events from a specific range of time. end - End date to retrieve events from a specific range of time. limit - limit for the number of records to retrieve. Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; checkid = &quot;201205050153W2Q4C-0J2HSIRF&quot; iex&gt; start = &quot;2020-06&quot; iex&gt; end = &quot;2020-07&quot; iex&gt; limit = 10 iex&gt; opts = [ { :start , start } , { :end , end } , { :limit , limit } ] iex&gt; results = NodePing.Results . get_events! ( token , checkid , opts )","ref":"NodePing.Results.html#get_events!/3"},{"type":"function","title":"NodePing.Results.get_results/4","doc":"Get results for specified check Parameters token - NodePing API token that was provided with account id - Check id of the check you want to get opts - Optional arguments to filter results. Empty list if no opts. customerid - optional ID to access a subaccount The list of values for opts can be found in NodePing's documents here: https://nodeping.com/docs-api-results.html#get Opts span - number of hours of results to retrieve. If used in combination with limit the narrower range will be used. limit - optional integer - number of records to retrieve. Defaults to 300 if span is not set. start - date/time for the start of the results. Timestamps should be milliseconds, or an RFC2822 or ISO 8601 date end - date/time for the end of the results. offset - integer offset to have the system perform uptime calculations for a different time zone. clean - boolean sets whether to use the older format for the result record that includes a doc object. true strongly recommended Examples iex&gt; opts = [ { :span , 48 } , { :limit , 10 } ] iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; checkid = &quot;201205050153W2Q4C-0J2HSIRF&quot; iex&gt; { :ok , results } = NodePing.Results . get_results ( token , checkid , opts )","ref":"NodePing.Results.html#get_results/4"},{"type":"function","title":"NodePing.Results.get_results!/4","doc":"Get results for specified check Parameters token - NodePing API token that was provided with account id - Check id of the check you want to get opts - Optional arguments to filter results. Empty list if no opts. customerid - optional ID to access a subaccount The list of values for opts can be found in NodePing's documents here: https://nodeping.com/docs-api-results.html#get Opts span - number of hours of results to retrieve. If used in combination with limit the narrower range will be used. limit - optional integer - number of records to retrieve. Defaults to 300 if span is not set. start - date/time for the start of the results. Timestamps should be milliseconds, or an RFC2822 or ISO 8601 date end - date/time for the end of the results. offset - integer offset to have the system perform uptime calculations for a different time zone. clean - boolean sets whether to use the older format for the result record that includes a doc object. true strongly recommended Examples iex&gt; opts = [ { :span , 48 } , { :limit , 10 } ] iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; checkid = &quot;201205050153W2Q4C-0J2HSIRF&quot; iex&gt; results = NodePing.Results . get_results! ( token , checkid , opts )","ref":"NodePing.Results.html#get_results!/4"},{"type":"function","title":"NodePing.Results.uptime/4","doc":"Get uptime information for a check Parameters token - NodePing API token that was provided with account id - Check id of the check you want to get uptime information about opts - optional list of args for specifying the range of information to gather. Empty list for no opts customerid - optional ID to access a subaccount Opts interval - &quot;days&quot; or &quot;months&quot;. &quot;months&quot; is the default start - date/time for the start of the results. Timestamps should be milliseconds, or an RFC2822 or ISO 8601 date end - date/time for the end of the results. Examples iex&gt; opts = [ { :interval , &quot;days&quot; } , { :start , &quot;2020-02&quot; } , { :end , &quot;2020-05&quot; } ] iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; checkid = &quot;201205050153W2Q4C-0J2HSIRF&quot; iex&gt; { :ok , results } = NodePing.Results . get_results ( token , checkid , opts )","ref":"NodePing.Results.html#uptime/4"},{"type":"function","title":"NodePing.Results.uptime!/4","doc":"Get uptime information for a check Parameters token - NodePing API token that was provided with account id - Check id of the check you want to get uptime information about opts - optional list of args for specifying the range of information to gather. Empty list for no opts customerid - optional ID to access a subaccount Opts interval - &quot;days&quot; or &quot;months&quot;. &quot;months&quot; is the default start - date/time for the start of the results. Timestamps should be milliseconds, or an RFC2822 or ISO 8601 date end - date/time for the end of the results. Examples iex&gt; opts = [ { :interval , &quot;days&quot; } , { :start , &quot;2020-02&quot; } , { :end , &quot;2020-05&quot; } ] iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; checkid = &quot;201205050153W2Q4C-0J2HSIRF&quot; iex&gt; results = NodePing.Results . get_results ( token , checkid , opts )","ref":"NodePing.Results.html#uptime!/4"},{"type":"module","title":"NodePing.Schedules","doc":"Schedules are used for setting time windows for notifications. This module manages schedules for your account/subaccounts","ref":"NodePing.Schedules.html"},{"type":"function","title":"NodePing.Schedules.create/4","doc":"Create a schedule for your account or subaccount Parameters token - NodePing API token that is provided with account id - The name or ID you want to give your schedule data - Map containing schedule information time1 - start of time span time2 - end of time span exclude - inverts the time span so it is all day except for the time between time1 and time2 disabled - disables notifications for this day allday - enables notifications for the entire day customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; id = &quot;My Work Schedule&quot; iex&gt; data = %{ &quot;data&quot; =&gt; %{ &quot;friday&quot; =&gt; %{ &quot;exclude&quot; =&gt; 1 , &quot;time1&quot; =&gt; &quot;6:00&quot; , &quot;time2&quot; =&gt; &quot;18:00&quot; } , &quot;monday&quot; =&gt; %{ &quot;disabled&quot; =&gt; true } , &quot;saturday&quot; =&gt; %{ &quot;allday&quot; =&gt; true } , &quot;sunday&quot; =&gt; %{ &quot;exclude&quot; =&gt; 0 , &quot;time1&quot; =&gt; &quot;6:00&quot; , &quot;time2&quot; =&gt; &quot;18:00&quot; } , &quot;thursday&quot; =&gt; %{ &quot;exclude&quot; =&gt; 0 , &quot;time1&quot; =&gt; &quot;6:00&quot; , &quot;time2&quot; =&gt; &quot;18:00&quot; } , &quot;tuesday&quot; =&gt; %{ &quot;exclude&quot; =&gt; 0 , &quot;time1&quot; =&gt; &quot;12:00&quot; , &quot;time2&quot; =&gt; &quot;18:00&quot; } , &quot;wednesday&quot; =&gt; %{ &quot;exclude&quot; =&gt; 0 , &quot;time1&quot; =&gt; &quot;6:00&quot; , &quot;time2&quot; =&gt; &quot;18:00&quot; } } } iex&gt; { :ok , result } = NodePing.Schedules . create ( token , id , data )","ref":"NodePing.Schedules.html#create/4"},{"type":"function","title":"NodePing.Schedules.create!/4","doc":"Create a schedule for your account or subaccount Parameters token - NodePing API token that is provided with account id - The name or ID you want to give your schedule data - Map containing schedule information time1 - start of time span time2 - end of time span exclude - inverts the time span so it is all day except for the time between time1 and time2 disabled - disables notifications for this day allday - enables notifications for the entire day customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; id = &quot;My Work Schedule&quot; iex&gt; data = %{ &quot;data&quot; =&gt; %{ &quot;friday&quot; =&gt; %{ &quot;exclude&quot; =&gt; 1 , &quot;time1&quot; =&gt; &quot;6:00&quot; , &quot;time2&quot; =&gt; &quot;18:00&quot; } , &quot;monday&quot; =&gt; %{ &quot;disabled&quot; =&gt; true } , &quot;saturday&quot; =&gt; %{ &quot;allday&quot; =&gt; true } , &quot;sunday&quot; =&gt; %{ &quot;exclude&quot; =&gt; 0 , &quot;time1&quot; =&gt; &quot;6:00&quot; , &quot;time2&quot; =&gt; &quot;18:00&quot; } , &quot;thursday&quot; =&gt; %{ &quot;exclude&quot; =&gt; 0 , &quot;time1&quot; =&gt; &quot;6:00&quot; , &quot;time2&quot; =&gt; &quot;18:00&quot; } , &quot;tuesday&quot; =&gt; %{ &quot;exclude&quot; =&gt; 0 , &quot;time1&quot; =&gt; &quot;12:00&quot; , &quot;time2&quot; =&gt; &quot;18:00&quot; } , &quot;wednesday&quot; =&gt; %{ &quot;exclude&quot; =&gt; 0 , &quot;time1&quot; =&gt; &quot;6:00&quot; , &quot;time2&quot; =&gt; &quot;18:00&quot; } } } iex&gt; result = NodePing.Schedules . create! ( token , id , data )","ref":"NodePing.Schedules.html#create!/4"},{"type":"function","title":"NodePing.Schedules.delete/3","doc":"Delete a schedule by its name (ID) on your account or subaccount Parameters token - NodePing API token that is provided with account name - The name or ID of the schedule to delete customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; name = &quot;My work schedule&quot; iex&gt; { :ok , result } = NodePing.Schedules . delete ( token , name )","ref":"NodePing.Schedules.html#delete/3"},{"type":"function","title":"NodePing.Schedules.delete!/3","doc":"Delete a schedule by its name (ID) on your account or subaccount Parameters token - NodePing API token that is provided with account name - The name or ID of the schedule to delete customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; name = &quot;My work schedule&quot; iex&gt; result = NodePing.Schedules . delete! ( token , name )","ref":"NodePing.Schedules.html#delete!/3"},{"type":"function","title":"NodePing.Schedules.get_all/2","doc":"Get all schedules on your account or subaccount Parameters token - NodePing API token that is provided with account customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; { :ok , result } = NodePing.Schedules . get_all ( token )","ref":"NodePing.Schedules.html#get_all/2"},{"type":"function","title":"NodePing.Schedules.get_all!/2","doc":"Get all schedules on your account or subaccount Parameters token - NodePing API token that is provided with account customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; result = NodePing.Schedules . get_all! ( token )","ref":"NodePing.Schedules.html#get_all!/2"},{"type":"function","title":"NodePing.Schedules.get_by_name/3","doc":"Get a schedule by its name (ID) on your account or subaccount Parameters token - NodePing API token that is provided with account name - The name or ID you want to give your schedule customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; name = &quot;My work schedule&quot; iex&gt; { :ok , result } = NodePing.Schedules . get_by_name ( token , name )","ref":"NodePing.Schedules.html#get_by_name/3"},{"type":"function","title":"NodePing.Schedules.get_by_name!/3","doc":"Get a schedule by its name (ID) on your account or subaccount Parameters token - NodePing API token that is provided with account name - The name or ID you want to give your schedule customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; name = &quot;My work schedule&quot; iex&gt; result = NodePing.Schedules . get_by_name! ( token , name )","ref":"NodePing.Schedules.html#get_by_name!/3"},{"type":"function","title":"NodePing.Schedules.update/4","doc":"Create a schedule for your account or subaccount Parameters token - NodePing API token that is provided with account id - The name or ID you want to give your schedule data - Map containing schedule information time1 - start of time span time2 - end of time span exclude - inverts the time span so it is all day except for the time between time1 and time2 disabled - disables notifications for this day allday - enables notifications for the entire day customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; id = &quot;My Work Schedule&quot; iex&gt; data = %{ &quot;data&quot; =&gt; %{ &quot;friday&quot; =&gt; %{ &quot;exclude&quot; =&gt; 1 , &quot;time1&quot; =&gt; &quot;6:00&quot; , &quot;time2&quot; =&gt; &quot;18:00&quot; } , &quot;monday&quot; =&gt; %{ &quot;disabled&quot; =&gt; true } , &quot;saturday&quot; =&gt; %{ &quot;allday&quot; =&gt; true } , &quot;sunday&quot; =&gt; %{ &quot;exclude&quot; =&gt; 0 , &quot;time1&quot; =&gt; &quot;6:00&quot; , &quot;time2&quot; =&gt; &quot;18:00&quot; } , &quot;thursday&quot; =&gt; %{ &quot;exclude&quot; =&gt; 0 , &quot;time1&quot; =&gt; &quot;6:00&quot; , &quot;time2&quot; =&gt; &quot;18:00&quot; } , &quot;tuesday&quot; =&gt; %{ &quot;exclude&quot; =&gt; 0 , &quot;time1&quot; =&gt; &quot;12:00&quot; , &quot;time2&quot; =&gt; &quot;18:00&quot; } , &quot;wednesday&quot; =&gt; %{ &quot;exclude&quot; =&gt; 0 , &quot;time1&quot; =&gt; &quot;6:00&quot; , &quot;time2&quot; =&gt; &quot;18:00&quot; } } } iex&gt; { :ok , result } = NodePing.Schedules . update ( token , id , data )","ref":"NodePing.Schedules.html#update/4"},{"type":"function","title":"NodePing.Schedules.update!/4","doc":"Create a schedule for your account or subaccount Parameters token - NodePing API token that is provided with account id - The name or ID you want to give your schedule data - Map containing schedule information time1 - start of time span time2 - end of time span exclude - inverts the time span so it is all day except for the time between time1 and time2 disabled - disables notifications for this day allday - enables notifications for the entire day customerid - optional ID to access a subaccount Examples iex&gt; token = System . fetch_env! ( &quot;TOKEN&quot; ) iex&gt; id = &quot;My Work Schedule&quot; iex&gt; data = %{ &quot;data&quot; =&gt; %{ &quot;friday&quot; =&gt; %{ &quot;exclude&quot; =&gt; 1 , &quot;time1&quot; =&gt; &quot;6:00&quot; , &quot;time2&quot; =&gt; &quot;18:00&quot; } , &quot;monday&quot; =&gt; %{ &quot;disabled&quot; =&gt; true } , &quot;saturday&quot; =&gt; %{ &quot;allday&quot; =&gt; true } , &quot;sunday&quot; =&gt; %{ &quot;exclude&quot; =&gt; 0 , &quot;time1&quot; =&gt; &quot;6:00&quot; , &quot;time2&quot; =&gt; &quot;18:00&quot; } , &quot;thursday&quot; =&gt; %{ &quot;exclude&quot; =&gt; 0 , &quot;time1&quot; =&gt; &quot;6:00&quot; , &quot;time2&quot; =&gt; &quot;18:00&quot; } , &quot;tuesday&quot; =&gt; %{ &quot;exclude&quot; =&gt; 0 , &quot;time1&quot; =&gt; &quot;12:00&quot; , &quot;time2&quot; =&gt; &quot;18:00&quot; } , &quot;wednesday&quot; =&gt; %{ &quot;exclude&quot; =&gt; 0 , &quot;time1&quot; =&gt; &quot;6:00&quot; , &quot;time2&quot; =&gt; &quot;18:00&quot; } } } iex&gt; result = NodePing.Schedules . update! ( token , id , data )","ref":"NodePing.Schedules.html#update!/4"}]